Update widget configuration (requires write scope)
Partial update. Only fields included in the body are changed. Cached config is busted server-side so changes appear immediately on the embedded widget.
PATCH
/projects/{projectId}/widget/config
Partial update. Only fields included in the body are changed. Cached config is busted server-side so changes appear immediately on the embedded widget.
Authentication
API Key (header: X-API-Key)
Path Parameters
projectId
string
required
path
Request Body
application/jsonproject_id
string
enabled
boolean
position
string
Enum:
bottom-right, bottom-leftcolor
string
Hex color, e.g. #F26B3A
welcome_message
string
show_branding
boolean
theme
string
Enum:
light, dark, autolocale
string
Responses
200
Updated
application/jsondata
object
project_id
string
enabled
boolean
position
string
Enum:
bottom-right, bottom-leftcolor
string
Hex color, e.g. #F26B3A
welcome_message
string
show_branding
boolean
theme
string
Enum:
light, dark, autolocale
string
curl -X PATCH 'https://api.rogeriq.com/api/v1/projects/string/widget/config' \ -H 'Authorization: Bearer YOUR_API_TOKEN' \ -H 'Content-Type: application/json' \ -d '{ "project_id": "string", "enabled": true, "position": "bottom-right", "color": "string", "welcome_message": "string", "show_branding": true, "theme": "light", "locale": "string"}'
const response = await fetch('https://api.rogeriq.com/api/v1/projects/string/widget/config', { method: 'PATCH', headers: { "Authorization": "Bearer YOUR_API_TOKEN", "Content-Type": "application/json" }, body: JSON.stringify({ "project_id": "string", "enabled": true, "position": "bottom-right", "color": "string", "welcome_message": "string", "show_branding": true, "theme": "light", "locale": "string" })});const data = await response.json();console.log(data);
import requestsheaders = { 'Authorization': 'Bearer YOUR_API_TOKEN'}response = requests.patch('https://api.rogeriq.com/api/v1/projects/string/widget/config', headers=headers, json={ "project_id": "string", "enabled": true, "position": "bottom-right", "color": "string", "welcome_message": "string", "show_branding": true, "theme": "light", "locale": "string"})print(response.json())
200
Response
{ "data": { "project_id": "<string>", "enabled": true, "position": "bottom-right", "color": "<string>", "welcome_message": "<string>", "show_branding": true, "theme": "light", "locale": "<string>" }}
API Playground
Try this endpoint
PATCH
/projects/{projectId}/widget/config